// Implmentation de la classe CPersonnage
// Cre par Etienne Forest le 28 aot 2012
// Adapte  SFML par Etienne Forest le 11 mars 2014
#include "Personnage.h"
#include "Exercice4.8.h"

bool CPersonnage::SetPosition(float x, float y)
{
	bool result = false;
	// Obtient le plus petit rectangle pouvant contenir l'image du CPersonnage
	FloatRect RectSprite = Sprite_.getLocalBounds();

	if (x >= 0 &&
		x <= Largeur - RectSprite.width
		&& y >= 0
		&& y <= Hauteur - RectSprite.height)
		// La largeur (width) et la hauteur (height) du rectangle sont l pour tenir compte des dimensions de l'image
		// La position de l'image, c'est le pixel en haut  gauche de l'image, donc si on ne
		// veut pas voir l'image sortir (alors que son pixel en haut  gauche reste dans l'image),
		// il faut ajuster les distances permises.
	{
		Sprite_.setPosition(x, y);
		result = true;
	}

	return result;
}

void CPersonnage::Afficher(RenderWindow& Fenetre)
{
	// S'affiche dans la fentre reue en rfrence
	Fenetre.draw(Sprite_);
}